IBM Support

Latest Enterprise PL/I Compiler Service Information

Preventive Service Planning


Current service level for Enterprise PL/I 4.2, 4.3, 4.4, 4.5, and 5.1 compilers as of 9 September 2016.


This table lists the most currently available PTFs for the various modules that comprise the indicated compilers.

Enterprise PL/I 4.3 UI33663 UI19088 UI26797 UI34708 UI32720
Enterprise PL/I 4.4 UI40135 UI19089 UI26798 UI34709 UI23587
Enterprise PL/I 4.5 UI40483 UI28810 UI34710 UI39334
Enterprise PL/I 5.1 UI40484 UI39388

If you want to verify that the IBMZINN module is at the latest level, the compilation listing for Enterprise PL/I 4.3, 4.4, 4.5, and 5.1 should say respectively:

5655-W67 IBM(R) Enterprise PL/I for z/OS V4.R3.M0 (Built: 20151208)

5655-W67 IBM(R) Enterprise PL/I for z/OS V4.R4.M0 (Built: 20160804)

5655-W67 IBM(R) Enterprise PL/I for z/OS V4.R5.M0 (Built: 20160829)

5655-PL5 IBM(R) Enterprise PL/I for z/OS V5.R1.M0 (Built: 20160829)

Please also note the following end-of-service dates

4.3 - 2017 Sept 30
4.4 - 2018 Sept 30

You can also check that the PTFs are applied by checking SMP/E.

Document information

More support for: Enterprise PL/I for z/OS

Software version: 4.3, 4.4, 4.5, 5.1

Operating system(s): z/OS

Reference #: 1170820

Modified date: 10 October 2016